<div class="info-box {{@color}}">
  <span class="info-box-icon">
    <FaIcon @icon={{@icon}} />
  </span>

  <div class="info-box-content">
    <span class="info-box-text">
      {{@name}}
      <span class="tooltip-container">
        <BsTooltip @title={{@hint}} />
        <FaIcon @icon="question-circle" />
      </span>
    </span>
    <span class="info-box-number">
      {{#if @loading}}
        <ContentLoader::Text100 />
      {{else}}
        {{#if @amount}}
          {{format-money @amount}}
        {{else}}
          &#8212;
        {{/if}}
      {{/if}}
    </span>
    <BsProgress as |pg|>
      <pg.bar @value={{@share}} />
    </BsProgress>
    <span class="progress-description">
      {{format-number (div @share 100) style="percent"}}
    </span>
  </div>
</div>